Public Class 業務獎金計算基礎
    ReadOnly ds, ds1, ds2, ds3, ds4, ds5, ds6 As New DataSet
    Private Sub Set_清單1()
        彙總1_dgv.DataSource = Nothing : ds1.Clear()
        彙總1_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        彙總1_dgv.ColumnHeadersHeight = 25
        彙總1_dgv.AllowUserToAddRows = False
        彙總1_dgv.RowTemplate.Height = 35

        SQL_獎金計算基礎()
        da.Fill(ds1) : 彙總1_dgv.DataSource = ds1.Tables(0) : conn.Close()
        For I As Integer = 1 To 20
            彙總1_dgv.Columns(I).DefaultCellStyle.Format = "#,##0" : 彙總1_dgv.Columns(I).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        Next
    End Sub
    Private Sub 業務獎金計算基礎_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.MdiParent = YD_ERP_SYS : Me.WindowState = 2 : Me.AutoScroll = True
        Set_清單1()
    End Sub
    Private Sub 彙總1_dgv_CellClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles 彙總1_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            基礎_tb.Text = 彙總1_dgv(0, e.RowIndex).Value.ToString : PA21 = 彙總1_dgv(0, e.RowIndex).Value.ToString
            階級1_nud.Value = 彙總1_dgv(1, e.RowIndex).Value : 比例1_nud.Value = 彙總1_dgv(2, e.RowIndex).Value
            階級2_nud.Value = 彙總1_dgv(3, e.RowIndex).Value : 比例2_nud.Value = 彙總1_dgv(4, e.RowIndex).Value
            階級3_nud.Value = 彙總1_dgv(5, e.RowIndex).Value : 比例3_nud.Value = 彙總1_dgv(6, e.RowIndex).Value
            階級4_nud.Value = 彙總1_dgv(7, e.RowIndex).Value : 比例4_nud.Value = 彙總1_dgv(8, e.RowIndex).Value
            階級5_nud.Value = 彙總1_dgv(9, e.RowIndex).Value : 比例5_nud.Value = 彙總1_dgv(10, e.RowIndex).Value
            階級6_nud.Value = 彙總1_dgv(11, e.RowIndex).Value : 比例6_nud.Value = 彙總1_dgv(12, e.RowIndex).Value
            階級7_nud.Value = 彙總1_dgv(13, e.RowIndex).Value : 比例7_nud.Value = 彙總1_dgv(14, e.RowIndex).Value
            階級8_nud.Value = 彙總1_dgv(15, e.RowIndex).Value : 比例8_nud.Value = 彙總1_dgv(16, e.RowIndex).Value
            階級9_nud.Value = 彙總1_dgv(17, e.RowIndex).Value : 比例9_nud.Value = 彙總1_dgv(18, e.RowIndex).Value
            階級10_nud.Value = 彙總1_dgv(19, e.RowIndex).Value : 比例10_nud.Value = 彙總1_dgv(20, e.RowIndex).Value
        End If
    End Sub
    Private Sub 取資料()
        PA = 基礎_tb.Text
        PA1 = 階級1_nud.Value : PA2 = 階級2_nud.Value : PA3 = 階級3_nud.Value : PA4 = 階級4_nud.Value : PA5 = 階級5_nud.Value
        PA6 = 階級6_nud.Value : PA7 = 階級7_nud.Value : PA8 = 階級8_nud.Value : PA9 = 階級9_nud.Value : PA10 = 階級10_nud.Value
        PA11 = 比例1_nud.Value : PA12 = 比例2_nud.Value : PA13 = 比例3_nud.Value : PA14 = 比例4_nud.Value : PA15 = 比例5_nud.Value
        PA16 = 比例6_nud.Value : PA17 = 比例7_nud.Value : PA18 = 比例8_nud.Value : PA19 = 比例9_nud.Value : PA20 = 比例10_nud.Value
    End Sub
    Private Sub 刪除_bt_Click(sender As Object, e As EventArgs) Handles 刪除_bt.Click
        If 基礎_tb.Text = "" Then
            MsgBox("沒有基礎資料!!!")
        Else
            取資料()
            SQL_銷售控制表_查詢()
            If dr.Read() Then
                MsgBox("該資料已經有被引用不可刪除!!!")
            Else
                SQL_獎金計算基礎_刪除() : MsgBox("修改完成!!!") : Set_清單1()
            End If
        End If : conn.Close()
    End Sub

    Private Sub 修改_bt_Click(sender As Object, e As EventArgs) Handles 修改_bt.Click
        If 基礎_tb.Text = "" Then
            MsgBox("沒有基礎資料!!!")
        Else
            取資料() : SQL_獎金計算基礎_修改() : SQL_銷售控制表_獎金基礎修改() : MsgBox("修改完成!!!") : Set_清單1()
        End If : conn.Close()
    End Sub
    Private Sub 新增_bt_Click(sender As Object, e As EventArgs) Handles 新增_bt.Click
        If 基礎_tb.Text = "" Then
            MsgBox("沒有基礎資料!!!")
        Else
            取資料() : SQL_獎金計算基礎_查詢()
            If dr.Read() Then
                MsgBox("以有資料不可新增!!!")
            Else
                SQL_獎金計算基礎_新增() : MsgBox("新增完成!!!") : Set_清單1()
            End If : conn.Close()
        End If
    End Sub
End Class